/*
 * Packet.h
 *
 *  Created on: Mar 12, 2021
 *      Author: astrisw
 */

#ifndef ASTRI_PACKET_H_
#define ASTRI_PACKET_H_

#include <Base_Packet.h>



class AstriPacket : public BasePacket{

private:
	unsigned short type;
	unsigned short subType;
	unsigned short telescopeId;

public:
	AstriPacket(std::string packetPath);

	unsigned short getType();
	unsigned short getSubType();
	unsigned short getTelescopeID();

	void updateFromBuffer();
	void updatePayloadSize();


};

#endif /* ASTRI_PACKET_H_ */
